Contacts
The contacts resource is used to track persons and organizations.
Contact object
{
"id": "019eb9a9-f3e4-7c39-8e18-2g499s0a3kk2",
"tenant": "019eb9a9-f241-77da-82cd-cf2f36b4e25b",
"name": "Justin Reed",
"contact_identifier": "10120",
"is_organization": false,
"address_street": "123 Main St",
"address_street_2": null,
"address_city": "Orlando",
"address_state": "FL",
"address_postal_code": "32801",
"address_region": null,
"address_country": "US",
"phone_home": null,
"phone_mobile": "(407) 555-5398",
"phone_work": null,
"fax": null,
"email": null,
"url": null,
"preferred_contact_method": null,
"preferred_language": null,
"preferred_pronouns": "He/him",
"organization": null,
"title": null,
"emergency_contact": null,
"birthdate": "1990-10-26",
"notes": null,
"meta": null,
"archived_at": null,
"created_at": "2025-08-13 14:31:42",
"updated_at": "2026-05-03 18:31:04"
}
Fields
- idrequired readonly stringUnique ID of the record.
- tenantrequired readonly stringUnique ID of the tenant.
- namerequired stringName of the contact.
- contact_identifiernullable stringUnique identifier for the contact within the tenant.
- is_organizationbooleanWhether the contact is an organization. The default value is
false. - address_streetnullable stringStreet address of the contact.
- address_street_2nullable stringSecond line of the street address.
- address_citynullable stringCity of the contact.
- address_statenullable stringState or province of the contact.
- address_postal_codenullable stringPostal code of the contact.
- address_regionnullable stringRegion/county of the contact.
- address_countrynullable stringCountry of the contact.
- phone_homenullable stringHome phone number of the contact.
- phone_mobilenullable stringMobile phone number of the contact.
- phone_worknullable stringWork phone number of the contact.
- faxnullable stringFax number of the contact.
- emailnullable stringEmail address of the contact.
- urlnullable stringWebsite URL of the contact.
- preferred_contact_methodnullable stringPreferred contact method of the contact. One of:
emailmailphone_homephone_mobilephone_worksocial_mediatext_messageother
- preferred_languagenullable stringPreferred language of the contact.
- preferred_pronounsnullable stringPreferred pronouns of the contact.
- organizationnullable stringContact ID of the organization that the contact belongs to.
- titlenullable stringTitle of the contact.
- emergency_contactnullable stringContact ID of the emergency contact for the contact.
- birthdatenullable stringBirthdate of the contact in
YYYY-MM-DDformat. - notesnullable stringAdditional notes about the contact.
- metanullable objectAdditional metadata about the contact.
- archived_atnullable stringUTC timestamp of when the record was archived.
- created_atrequired readonly stringUTC timestamp of when the record was created.
- updated_atnullable readonly stringUTC timestamp of when the record was last updated.
Create a contact
POST /tenants/{tenantId}/contacts
The request body must include a contact object.
Required permissions
contacts:create
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 201 | Created | Successfully created | Contact object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant not found | Error object |
| 409 | Conflict | Contact identifier already exists for tenant | Error object |
List contacts
GET /tenants/{tenantId}/contacts
Required permissions
contacts:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | An associative array of contact objects | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant not found | Error object |
Read a contact
GET /tenants/{tenantId}/contacts/{id}
Required permissions
contacts:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Contact object | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant or contact ID not found | Error object |
Update a contact
PATCH /tenants/{tenantId}/contacts/{id}
The request body must include parts of a contact object.
Required permissions
contacts:update
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Updated contact record | Contact object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant or contact ID not found | Error object |
| 409 | Conflict | Contact identifier already exists for tenant | Error object |
Delete a contact
DELETE /tenants/{tenantId}/contacts/{id}
Required permissions
contacts:delete
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 204 | No content | Successfully deleted | |
| 404 | Not Found | Tenant ID not found | Error object |
Was this page helpful?